### Function

# Gio content_types_get_registered

since: 2.0

#### Declaration

    GList*
    g_content_types_get_registered (
      void
    )

#### Description

Gets a list of strings containing all the registered content types known to the system. The list and its data should be freed using `g_list_free_full (list, g_free)`.

Available since: 2.0

#### Return value

Type: A list of `utf8`

List of the registered content types.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.